Đến nội dung


Hình ảnh

Lisp đổi màu layer ?????????


  • Please log in to reply
16 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 December 2008 - 08:25 AM

Bác Pro nào viết cho em cái Lisp đổi màu Layer " CAD Viet.COM" thành màu 08(đen mờ) với !!!!!!!
  • 0
Hoàng Giang

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 December 2008 - 09:17 AM

Bác Pro nào viết cho em cái Lisp đổi màu Layer " CAD Viet.COM" thành màu 08(đen mờ) với !!!!!!!

Đây
(defun c:dm ()
(command "-layer" "new" "CAD Viet.COM" "color" "8" "CAD Viet.COM" "")
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 December 2008 - 10:03 AM

Đây
(defun c:dm ()
(command "-layer" "new" "CAD Viet.COM" "color" "8" "CAD Viet.COM" "")
)

Ko phải vậy ban Duy à. Ở đây là layer có sẵn từ trước, mình cần đổi màu nó.. Layer"PLINEDIACHAT"
  • 0
Hoàng Giang

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 December 2008 - 10:10 AM

Ko phải vậy ban Duy à. Ở đây là layer có sẵn từ trước, mình cần đổi màu nó.. Layer"PLINEDIACHAT"

Không cần biết layer đó có chưa. Nó cứ tạo mới, nếu có thì nó đổi màu. Tên layer thì bạn tự thay vào (lưu ý tên layer không nhận khoảng trắng)

@Nếu đã viết lisp thì mình gợi ý bạn 1 lisp như này:
Hỏi chọn đối tượng thuộc lớp muốn đổi màu.
Hiện bảng màu để bạn chọn màu cần đổi 1 cách trực quan
Đổi màu layer chứa đối tượng thành màu vừa chọn
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 transu

transu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 12 December 2008 - 10:34 AM

Bác Pro nào viết cho em cái Lisp đổi màu Layer " CAD Viet.COM" thành màu 08(đen mờ) với !!!!!!!

cái này có đầy trên diễn đàn.cào lisp theo iu cầu mà kiếm.tui đang bực vì cái lisp này.tui đang sài lisp đổi layer nhanh.bị cái llisp đổi màu nó phá.bực.hai kiểu này các đại ca tao lisp để cách sài giống nhau nên chỉ sài được 1 cái thui.
  • 0

#6 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 December 2008 - 11:31 AM

Không cần biết layer đó có chưa. Nó cứ tạo mới, nếu có thì nó đổi màu. Tên layer thì bạn tự thay vào (lưu ý tên layer không nhận khoảng trắng)

@Nếu đã viết lisp thì mình gợi ý bạn 1 lisp như này:
Hỏi chọn đối tượng thuộc lớp muốn đổi màu.
Hiện bảng màu để bạn chọn màu cần đổi 1 cách trực quan
Đổi màu layer chứa đối tượng thành màu vừa chọn

ko phải mà, do có Layer từ trước rùi nên khi chạy nó báo lỗi :

Layer "PLINEDIACHAT" already exists.
nil
Mình ko dùng tạo mới Layer được ! Bạn cứ thử mà xem !
  • 0
Hoàng Giang

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 December 2008 - 11:46 AM

ko phải mà, do có Layer từ trước rùi nên khi chạy nó báo lỗi :

Layer "PLINEDIACHAT" already exists.
nil
Mình ko dùng tạo mới Layer được ! Bạn cứ thử mà xem !

Bạn thử dùng code này xem :
(defun c:dm ()
(setq mau (getint "\nNhap mau muon doi cho Layer PLINEDIACHAT :"))
(command "-layer" "m" "PLINEDIACHAT" "color" mau "" "")
(princ)
)
:cheers:
  • 0

#8 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 December 2008 - 01:12 PM

Bạn thử dùng code này xem :

(defun c:dm ()
(setq mau (getint "\nNhap mau muon doi cho Layer PLINEDIACHAT :"))
(command "-layer" "m" "PLINEDIACHAT" "color" mau "" "")
(princ)
)
:cheers:

Bác Tuệ à. Lisp của bác thì chạy tốt , em cảm ơn bác nhé !
  • 0
Hoàng Giang

#9 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 December 2008 - 02:13 PM

ko phải mà, do có Layer từ trước rùi nên khi chạy nó báo lỗi :

Layer "PLINEDIACHAT" already exists.
nil
Mình ko dùng tạo mới Layer được ! Bạn cứ thử mà xem !

Mình hỏi thiệt nghen. Bạn chạy lisp xong có dòm thử cái màu nó đổi chưa hay không hay bạn thấy nó lên chữ nil thì kiu là bị lỗi.
-Tất nhiên lisp của bạn TUE-VN thì đúng y yêu cầu của bạn nhưng mình tính cả cho trường hợp layer đó của bạn chưa tồn tại.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#10 VoHoan

VoHoan

    biết lệnh move

  • Members
  • PipPipPip
  • 129 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 14 June 2009 - 11:50 PM

Nhân tiện hỏi về layer các bác cho em hỏi làm cách nào để lấy được giá trị màu của đổi tượng có màu Bylayer (ví dụ: 1 đường thẳng có màu Bylayer là màu đỏ thì làm sao gán biến "mau" = 1 được)?
  • 0

#11 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 15 June 2009 - 05:25 AM

Nhân tiện hỏi về layer các bác cho em hỏi làm cách nào để lấy được giá trị màu của đổi tượng có màu Bylayer (ví dụ: 1 đường thẳng có màu Bylayer là màu đỏ thì làm sao gán biến "mau" = 1 được)?

Bạn sử dụng hàm tblsearch hoặc hàm tblobjname
  • 1

#12 namhai

namhai

    biết vẽ rectang

  • Members
  • PipPip
  • 81 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 16 June 2009 - 10:19 AM

Bác Pro nào viết cho em cái Lisp đổi màu Layer " CAD Viet.COM" thành màu 08(đen mờ) với !!!!!!!

Pác thử xem lisp này có đúng yêu cầu của Pác không nhé: http://www.cadviet.c...u_doi_tuong.lsp
  • 1
Hãy làm việc hết mình rồi mọi điều tốt đẹp sẽ đến với bạn.....

#13 lutung

lutung

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 June 2009 - 04:29 PM

ai co lisp ve thiet lap layer ko. dinh dang cho layer cua minh
  • 0

#14 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 07 August 2009 - 02:55 PM

Pác thử xem lisp này có đúng yêu cầu của Pác không nhé: http://www.cadviet.c...u_doi_tuong.lsp

cho em hỏi lisp này ko đổi màu được của BLOCK và file XREF hả bạn!có cách nào ko?
  • 0

#15 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 07 August 2009 - 05:13 PM

Đây
(defun c:dm ()
(command "-layer" "new" "CAD Viet.COM" "color" "8" "CAD Viet.COM" "")
)

Nhờ đoạn lisp của bác minh có thể tạo được nhiều layer khác nhau. nhưng cho minh hỏi một chút: Nếu mình muốn thêm các /LWeight/MATerial/Plot/Freeze/ cho các layer này có được không? các giá trị này đều là bylayer hết.

VD như mình muốn tạo 1 layer cadviet123 / màu 1/ línstyle là Continuous/ LW là 0.25 thì phải làm thế nào?
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#16 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 07 August 2009 - 05:30 PM

Nhờ đoạn lisp của bác minh có thể tạo được nhiều layer khác nhau. nhưng cho minh hỏi một chút: Nếu mình muốn thêm các /LWeight/MATerial/Plot/Freeze/ cho các layer này có được không? các giá trị này đều là bylayer hết.

VD như mình muốn tạo 1 layer cadviet123 / màu 1/ línstyle là Continuous/ LW là 0.25 thì phải làm thế nào?

Bạn vào cad gỏ lệnh -layer sau đó muốn làm gì thì ghi lại trình tự các bước và vào lisp viết lại y như vậy là được.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#17 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 07 August 2009 - 05:36 PM

Bạn vào cad gỏ lệnh -layer sau đó muốn làm gì thì ghi lại trình tự các bước và vào lisp viết lại y như vậy là được.

MÌnh đã làm được rồi, thanks bác nhiều :bigsmile:
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......